Update a push templateAsk AIput https://api.getblueshift.com/api/v1/push_templates/{template_uuid}Use this endpoint to update a push template.Path Paramstemplate_uuidstringrequiredSpecify the UUID of the template that you want to update. You can get the template UUID from the URL when you view a template in the Blueshift app. For example, in https://app.getblueshift.com/dashboard#/app/push_template/studio/<TEMPLATE_UUID>/edit/info, the <TEMPLATE_UUID> is the uuid that you need.Body ParamsUpdate a push template.push_templateobjectpush_template objecttemplate_propertyobjectSpecify the campaign behavior properties for the template.template_property objectexternal_fetchesarray of stringsSpecify the external fetches for the template. If you leave this field blank, any external fetches that were previously added to the template will be removed.external_fetchesADD stringtransaction_mixinsarray of objectsSpecify the transaction mixins for the template. If you leave this field blank, any transaction mixins that were previously added to the template will be removed.transaction_mixinsADD objectResponses 200OK 400Bad Request - The request is invalid due to missing or incorrect parameters. This includes missing fields, invalid values, formatting issues, or conflicts such as duplicate data. 401Unauthorized - API authentication failed due to an invalid or missing API key. 403Forbidden - The API key does not have sufficient permissions to perform this action. 404Not Found - The requested resource was not found. 422Unprocessable Entity - The request was well-formed but contains semantic errors. 429Too Many Requests - The request limit has been exceeded. Reduce request frequency. 500Internal Server Error - An unexpected server error occurred. Contact support if the issue persists. 502Bad Gateway - The server received an invalid response. Retry the request. 503Service Unavailable - The service is temporarily unavailable. Try again later. 504Gateway Timeout - The server took too long to respond. Retry the request with exponential backoff.Updated 4 months ago